Getting an address
By using this method you can:
Get the address for the user in the specified coin and network. When the request is repeated, the previously created address is returned, which will have
isActive: trueGenerate a new address for the user in the specified coin and network, when specifying the parameter
renewAddress. The new address will haveisActive: true, previously generated addresses with the same coin and network will haveisActive: false
Note: At any time, a user can have only one active address in particular coin and network. Deposits and withdrawals work at all addresses, regardless of the parameter isActive
Public API-key
Signing the request body with a private API-key
Request content type
application/jsonRequest body to get or regenerate the address for the user
User ID
3fffcde0-9733-4bc6-931e-02922a092e0dAddress coin
USDTAddress network
ethereumIf set to true a new address will be issued to the user, the old one will become inactive
Successful response
Request success indicator
POST /api-gateway/personal-addresses/get-user-address HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"id": "3fffcde0-9733-4bc6-931e-02922a092e0d",
"currency": "USDT",
"network": "ethereum",
"renewAddress": true
}{
"success": true,
"response": {
"id": "5f376db8-db47-4b02-a10e-99fdb65cde7a",
"userId": "66b62d51-0676-4853-9d84-a5fd6323f915",
"currency": "USDT",
"network": "ethereum",
"address": "0x515b72ed8a97f42c568d6a143232775018f133c8",
"tag": null,
"balance": "1234.1234",
"isActive": true
}
}Last updated